searchNodes=[{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Api.ManagedShortLinks.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Api.ManagedShortLinks","module":"GoogleApi.FirebaseDynamicLinks.V1.Api.ManagedShortLinks","type":"module","doc":"API calls for all endpoints tagged ManagedShortLinks."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Api.ManagedShortLinks.html#firebasedynamiclinks_managed_short_links_create/3","title":"GoogleApi.FirebaseDynamicLinks.V1.Api.ManagedShortLinks.firebasedynamiclinks_managed_short_links_create/3","module":"GoogleApi.FirebaseDynamicLinks.V1.Api.ManagedShortLinks","type":"function","doc":"Creates a managed short Dynamic Link given either a valid long Dynamic Link or details such as Dynamic Link domain, Android and iOS app information. The created short Dynamic Link will not expire. This differs from CreateShortDynamicLink in the following ways: - The request will also contain a name for the link (non unique name for the front end). - The response must be authenticated with an auth token (generated with the admin service account). - The link will appear in the FDL list of links in the console front end. The Dynamic Link domain in the request must be owned by requester&#39;s Firebase project. Parameters connection (GoogleApi.FirebaseDynamicLinks.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CreateManagedShortLinkRequest): Returns {:ok, %GoogleApi.FirebaseDynamicLinks.V1.Model.CreateManagedShortLinkResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Api.ShortLinks.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Api.ShortLinks","module":"GoogleApi.FirebaseDynamicLinks.V1.Api.ShortLinks","type":"module","doc":"API calls for all endpoints tagged ShortLinks."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Api.ShortLinks.html#firebasedynamiclinks_short_links_create/3","title":"GoogleApi.FirebaseDynamicLinks.V1.Api.ShortLinks.firebasedynamiclinks_short_links_create/3","module":"GoogleApi.FirebaseDynamicLinks.V1.Api.ShortLinks","type":"function","doc":"Creates a short Dynamic Link given either a valid long Dynamic Link or details such as Dynamic Link domain, Android and iOS app information. The created short Dynamic Link will not expire. Repeated calls with the same long Dynamic Link or Dynamic Link information will produce the same short Dynamic Link. The Dynamic Link domain in the request must be owned by requester&#39;s Firebase project. Parameters connection (GoogleApi.FirebaseDynamicLinks.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (CreateShortDynamicLinkRequest): Returns {:ok, %GoogleApi.FirebaseDynamicLinks.V1.Model.CreateShortDynamicLinkResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Api.V1.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Api.V1","module":"GoogleApi.FirebaseDynamicLinks.V1.Api.V1","type":"module","doc":"API calls for all endpoints tagged V1."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Api.V1.html#firebasedynamiclinks_get_link_stats/4","title":"GoogleApi.FirebaseDynamicLinks.V1.Api.V1.firebasedynamiclinks_get_link_stats/4","module":"GoogleApi.FirebaseDynamicLinks.V1.Api.V1","type":"function","doc":"Fetches analytics stats of a short Dynamic Link for a given duration. Metrics include number of clicks, redirects, installs, app first opens, and app reopens. Parameters connection (GoogleApi.FirebaseDynamicLinks.V1.Connection): Connection to server dynamic_link (String.t): Dynamic Link URL. e.g. https://abcd.app.goo.gl/wxyz optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :durationDays (String.t): The span of time requested in days. :sdkVersion (String.t): Google SDK version. Version takes the form &quot;$major.$minor.$patch&quot; Returns {:ok, %GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkStats{}} on success {:error, info} on failure"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Api.V1.html#firebasedynamiclinks_install_attribution/3","title":"GoogleApi.FirebaseDynamicLinks.V1.Api.V1.firebasedynamiclinks_install_attribution/3","module":"GoogleApi.FirebaseDynamicLinks.V1.Api.V1","type":"function","doc":"Get iOS strong/weak-match info for post-install attribution. Parameters connection (GoogleApi.FirebaseDynamicLinks.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (GetIosPostInstallAttributionRequest): Returns {:ok, %GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosPostInstallAttributionResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Api.V1.html#firebasedynamiclinks_reopen_attribution/3","title":"GoogleApi.FirebaseDynamicLinks.V1.Api.V1.firebasedynamiclinks_reopen_attribution/3","module":"GoogleApi.FirebaseDynamicLinks.V1.Api.V1","type":"function","doc":"Get iOS reopen attribution for app universal link open deeplinking. Parameters connection (GoogleApi.FirebaseDynamicLinks.V1.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (GetIosReopenAttributionRequest): Returns {:ok, %GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosReopenAttributionResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.FirebaseDynamicLinks.V1."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#delete/3","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.delete/3","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#delete!/3","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.delete!/3","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#execute/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.execute/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Execute a request on this connection Returns Tesla.Env"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#get/3","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.get/3","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#get!/3","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.get!/3","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#head/3","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.head/3","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#head!/3","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.head!/3","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#new/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.new/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Configure an authless client connection Returns Tesla.Client.t"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#new/1","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.new/1","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (function arity of 1): Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#options/3","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.options/3","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#options!/3","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.options!/3","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#patch/4","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.patch/4","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#patch!/4","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.patch!/4","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#post/4","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.post/4","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#post!/4","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.post!/4","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#put/4","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.put/4","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#put!/4","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.put!/4","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#request/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.request/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#request!/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.request!/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#trace/3","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.trace/3","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#trace!/3","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.trace!/3","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Connection.html#t:option/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Connection.option/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Connection","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Deserializer.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Deserializer","module":"GoogleApi.FirebaseDynamicLinks.V1.Deserializer","type":"module","doc":"Helper functions for deserializing responses into models. This module is no longer used. Please use GoogleApi.Gax.ModelBase instead."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.AnalyticsInfo.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.AnalyticsInfo","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.AnalyticsInfo","type":"module","doc":"Tracking parameters supported by Dynamic Link. Attributes googlePlayAnalytics (GooglePlayAnalytics): Google Play Campaign Measurements. Defaults to: null. itunesConnectAnalytics (ITunesConnectAnalytics): iTunes Connect App Analytics. Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.AnalyticsInfo.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.AnalyticsInfo.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.AnalyticsInfo","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.AnalyticsInfo.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.AnalyticsInfo.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.AnalyticsInfo","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.AndroidInfo.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.AndroidInfo","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.AndroidInfo","type":"module","doc":"Android related attributes to the Dynamic Link. Attributes androidFallbackLink (String.t): Link to open on Android if the app is not installed. Defaults to: null. androidLink (String.t): If specified, this overrides the ‘link’ parameter on Android. Defaults to: null. androidMinPackageVersionCode (String.t): Minimum version code for the Android app. If the installed app’s version code is lower, then the user is taken to the Play Store. Defaults to: null. androidPackageName (String.t): Android package name of the app. Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.AndroidInfo.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.AndroidInfo.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.AndroidInfo","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.AndroidInfo.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.AndroidInfo.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.AndroidInfo","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.AppPreview.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.AppPreview","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.AppPreview","type":"module","doc":"Customizable parameters on the app preview page. The text fields no longer need translation. Attributes openButtonText (String.t): Text that appears on the button to open up the app. Optional Defaults to &quot;Open&quot; Defaults to: null. savePositionText (String.t): Text that asks if user wants to save place in app. Optional. Defaults to &quot;Save my place in the app. A link will be copied to continue to this page&quot; Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.AppPreview.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.AppPreview.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.AppPreview","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.AppPreview.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.AppPreview.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.AppPreview","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateManagedShortLinkRequest.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateManagedShortLinkRequest","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateManagedShortLinkRequest","type":"module","doc":"Request to create a managed Short Dynamic Link. Attributes dynamicLinkInfo (DynamicLinkInfo): Information about the Dynamic Link to be shortened. Learn more. Defaults to: null. longDynamicLink (String.t): Full long Dynamic Link URL with desired query parameters specified. For example, &quot;https://sample.app.goo.gl/?link&#x3D;http://www.google.com&amp;apn&#x3D;com.sample&quot;, Learn more. Defaults to: null. name (String.t): Link name to associate with the link. It&#39;s used for marketer to identify manually-created links in the Firebase console (https://console.firebase.google.com/). Links must be named to be tracked. Defaults to: null. sdkVersion (String.t): Google SDK version. Version takes the form &quot;$major.$minor.$patch&quot; Defaults to: null. suffix (Suffix): Short Dynamic Link suffix. Optional. Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateManagedShortLinkRequest.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateManagedShortLinkRequest.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateManagedShortLinkRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateManagedShortLinkRequest.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateManagedShortLinkRequest.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateManagedShortLinkRequest","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateManagedShortLinkResponse.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateManagedShortLinkResponse","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateManagedShortLinkResponse","type":"module","doc":"Response to create a short Dynamic Link. Attributes managedShortLink (ManagedShortLink): Short Dynamic Link value. e.g. https://abcd.app.goo.gl/wxyz Defaults to: null. previewLink (String.t): Preview link to show the link flow chart. (debug info.) Defaults to: null. warning ([DynamicLinkWarning]): Information about potential warnings on link creation. Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateManagedShortLinkResponse.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateManagedShortLinkResponse.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateManagedShortLinkResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateManagedShortLinkResponse.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateManagedShortLinkResponse.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateManagedShortLinkResponse","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateShortDynamicLinkRequest.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateShortDynamicLinkRequest","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateShortDynamicLinkRequest","type":"module","doc":"Request to create a short Dynamic Link. Attributes dynamicLinkInfo (DynamicLinkInfo): Information about the Dynamic Link to be shortened. Learn more. Defaults to: null. longDynamicLink (String.t): Full long Dynamic Link URL with desired query parameters specified. For example, &quot;https://sample.app.goo.gl/?link&#x3D;http://www.google.com&amp;apn&#x3D;com.sample&quot;, Learn more. Defaults to: null. sdkVersion (String.t): Google SDK version. Version takes the form &quot;$major.$minor.$patch&quot; Defaults to: null. suffix (Suffix): Short Dynamic Link suffix. Optional. Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateShortDynamicLinkRequest.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateShortDynamicLinkRequest.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateShortDynamicLinkRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateShortDynamicLinkRequest.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateShortDynamicLinkRequest.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateShortDynamicLinkRequest","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateShortDynamicLinkResponse.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateShortDynamicLinkResponse","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateShortDynamicLinkResponse","type":"module","doc":"Response to create a short Dynamic Link. Attributes previewLink (String.t): Preview link to show the link flow chart. (debug info.) Defaults to: null. shortLink (String.t): Short Dynamic Link value. e.g. https://abcd.app.goo.gl/wxyz Defaults to: null. warning ([DynamicLinkWarning]): Information about potential warnings on link creation. Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateShortDynamicLinkResponse.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateShortDynamicLinkResponse.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateShortDynamicLinkResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateShortDynamicLinkResponse.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateShortDynamicLinkResponse.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.CreateShortDynamicLinkResponse","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.DesktopInfo.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.DesktopInfo","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.DesktopInfo","type":"module","doc":"Desktop related attributes to the Dynamic Link. Attributes desktopFallbackLink (String.t): Link to open on desktop. Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.DesktopInfo.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.DesktopInfo.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.DesktopInfo","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.DesktopInfo.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.DesktopInfo.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.DesktopInfo","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.DeviceInfo.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.DeviceInfo","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.DeviceInfo","type":"module","doc":"Signals associated with the device making the request. Attributes deviceModelName (String.t): Device model name. Defaults to: null. languageCode (String.t): Device language code setting. Defaults to: null. languageCodeFromWebview (String.t): Device language code setting obtained by executing JavaScript code in WebView. Defaults to: null. languageCodeRaw (String.t): Device language code raw setting. iOS does returns language code in different format than iOS WebView. For example WebView returns en_US, but iOS returns en-US. Field below will return raw value returned by iOS. Defaults to: null. screenResolutionHeight (String.t): Device display resolution height. Defaults to: null. screenResolutionWidth (String.t): Device display resolution width. Defaults to: null. timezone (String.t): Device timezone setting. Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.DeviceInfo.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.DeviceInfo.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.DeviceInfo","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.DeviceInfo.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.DeviceInfo.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.DeviceInfo","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkEventStat.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkEventStat","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkEventStat","type":"module","doc":"Dynamic Link event stat. Attributes count (String.t): The number of times this event occurred. Defaults to: null. event (String.t): Link event. Defaults to: null. Enum - one of [DYNAMIC_LINK_EVENT_UNSPECIFIED, CLICK, REDIRECT, APP_INSTALL, APP_FIRST_OPEN, APP_RE_OPEN] platform (String.t): Requested platform. Defaults to: null. Enum - one of [DYNAMIC_LINK_PLATFORM_UNSPECIFIED, ANDROID, IOS, DESKTOP, OTHER]"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkEventStat.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkEventStat.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkEventStat","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkEventStat.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkEventStat.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkEventStat","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkInfo.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkInfo","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkInfo","type":"module","doc":"Information about a Dynamic Link. Attributes analyticsInfo (AnalyticsInfo): Parameters used for tracking. See all tracking parameters in the documentation. Defaults to: null. androidInfo (AndroidInfo): Android related information. See Android related parameters in the documentation. Defaults to: null. desktopInfo (DesktopInfo): Desktop related information. See desktop related parameters in the documentation. Defaults to: null. domainUriPrefix (String.t): E.g. https://maps.app.goo.gl, https://maps.page.link, https://g.co/maps More examples can be found in description of getNormalizedUriPrefix in j/c/g/firebase/dynamiclinks/uri/DdlDomain.java Will fallback to dynamic_link_domain is this field is missing Defaults to: null. dynamicLinkDomain (String.t): Dynamic Links domain that the project owns, e.g. abcd.app.goo.gl Learn more on how to set up Dynamic Link domain associated with your Firebase project. Required if missing domain_uri_prefix. Defaults to: null. iosInfo (IosInfo): iOS related information. See iOS related parameters in the documentation. Defaults to: null. link (String.t): The link your app will open, You can specify any URL your app can handle. This link must be a well-formatted URL, be properly URL-encoded, and use the HTTP or HTTPS scheme. See &#39;link&#39; parameters in the documentation. Required. Defaults to: null. navigationInfo (NavigationInfo): Information of navigation behavior of a Firebase Dynamic Links. Defaults to: null. socialMetaTagInfo (SocialMetaTagInfo): Parameters for social meta tag params. Used to set meta tag data for link previews on social sites. Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkInfo.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkInfo.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkInfo","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkInfo.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkInfo.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkInfo","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkStats.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkStats","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkStats","type":"module","doc":"Analytics stats of a Dynamic Link for a given timeframe. Attributes linkEventStats ([DynamicLinkEventStat]): Dynamic Link event stats. Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkStats.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkStats.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkStats","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkStats.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkStats.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkStats","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkWarning.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkWarning","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkWarning","type":"module","doc":"Dynamic Links warning messages. Attributes warningCode (String.t): The warning code. Defaults to: null. Enum - one of [CODE_UNSPECIFIED, NOT_IN_PROJECT_ANDROID_PACKAGE_NAME, NOT_INTEGER_ANDROID_PACKAGE_MIN_VERSION, UNNECESSARY_ANDROID_PACKAGE_MIN_VERSION, NOT_URI_ANDROID_LINK, UNNECESSARY_ANDROID_LINK, NOT_URI_ANDROID_FALLBACK_LINK, BAD_URI_SCHEME_ANDROID_FALLBACK_LINK, NOT_IN_PROJECT_IOS_BUNDLE_ID, NOT_IN_PROJECT_IPAD_BUNDLE_ID, UNNECESSARY_IOS_URL_SCHEME, NOT_NUMERIC_IOS_APP_STORE_ID, UNNECESSARY_IOS_APP_STORE_ID, NOT_URI_IOS_FALLBACK_LINK, BAD_URI_SCHEME_IOS_FALLBACK_LINK, NOT_URI_IPAD_FALLBACK_LINK, BAD_URI_SCHEME_IPAD_FALLBACK_LINK, BAD_DEBUG_PARAM, BAD_AD_PARAM, DEPRECATED_PARAM, UNRECOGNIZED_PARAM, TOO_LONG_PARAM, NOT_URI_SOCIAL_IMAGE_LINK, BAD_URI_SCHEME_SOCIAL_IMAGE_LINK, NOT_URI_SOCIAL_URL, BAD_URI_SCHEME_SOCIAL_URL, LINK_LENGTH_TOO_LONG, LINK_WITH_FRAGMENTS, NOT_MATCHING_IOS_BUNDLE_ID_AND_STORE_ID] warningDocumentLink (String.t): The document describing the warning, and helps resolve. Defaults to: null. warningMessage (String.t): The warning message to help developers improve their requests. Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkWarning.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkWarning.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkWarning","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkWarning.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkWarning.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.DynamicLinkWarning","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosPostInstallAttributionRequest.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosPostInstallAttributionRequest","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosPostInstallAttributionRequest","type":"module","doc":"Request for iSDK to execute strong match flow for post-install attribution. This is meant for iOS requests only. Requests from other platforms will not be honored. Attributes appInstallationTime (String.t): App installation epoch time (https://en.wikipedia.org/wiki/Unix_time). This is a client signal for a more accurate weak match. Defaults to: null. bundleId (String.t): APP bundle ID. Defaults to: null. device (DeviceInfo): Device information. Defaults to: null. iosVersion (String.t): iOS version, ie: 9.3.5. Consider adding &quot;build&quot;. Defaults to: null. retrievalMethod (String.t): App post install attribution retrieval information. Disambiguates mechanism (iSDK or developer invoked) to retrieve payload from clicked link. Defaults to: null. Enum - one of [UNKNOWN_PAYLOAD_RETRIEVAL_METHOD, IMPLICIT_WEAK_MATCH, EXPLICIT_WEAK_MATCH, EXPLICIT_STRONG_AFTER_WEAK_MATCH] sdkVersion (String.t): Google SDK version. Version takes the form &quot;$major.$minor.$patch&quot; Defaults to: null. uniqueMatchLinkToCheck (String.t): Possible unique matched link that server need to check before performing fingerprint match. If passed link is short server need to expand the link. If link is long server need to vslidate the link. Defaults to: null. visualStyle (String.t): Strong match page information. Disambiguates between default UI and custom page to present when strong match succeeds/fails to find cookie. Defaults to: null. Enum - one of [UNKNOWN_VISUAL_STYLE, DEFAULT_STYLE, CUSTOM_STYLE]"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosPostInstallAttributionRequest.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosPostInstallAttributionRequest.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosPostInstallAttributionRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosPostInstallAttributionRequest.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosPostInstallAttributionRequest.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosPostInstallAttributionRequest","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosPostInstallAttributionResponse.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosPostInstallAttributionResponse","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosPostInstallAttributionResponse","type":"module","doc":"Response for iSDK to execute strong match flow for post-install attribution. Attributes appMinimumVersion (String.t): The minimum version for app, specified by dev through ?imv&#x3D; parameter. Return to iSDK to allow app to evaluate if current version meets this. Defaults to: null. attributionConfidence (String.t): The confidence of the returned attribution. Defaults to: null. Enum - one of [UNKNOWN_ATTRIBUTION_CONFIDENCE, WEAK, DEFAULT, UNIQUE] deepLink (String.t): The deep-link attributed post-install via one of several techniques (fingerprint, copy unique). Defaults to: null. externalBrowserDestinationLink (String.t): User-agent specific custom-scheme URIs for iSDK to open. This will be set according to the user-agent tha the click was originally made in. There is no Safari-equivalent custom-scheme open URLs. ie: googlechrome://www.example.com ie: firefox://open-url?url&#x3D;http://www.example.com ie: opera-http://example.com Defaults to: null. fallbackLink (String.t): The link to navigate to update the app if min version is not met. This is either (in order): 1) fallback link (from ?ifl&#x3D; parameter, if specified by developer) or 2) AppStore URL (from ?isi&#x3D; parameter, if specified), or 3) the payload link (from required link&#x3D; parameter). Defaults to: null. invitationId (String.t): Invitation ID attributed post-install via one of several techniques (fingerprint, copy unique). Defaults to: null. isStrongMatchExecutable (boolean()): Instruction for iSDK to attemmpt to perform strong match. For instance, if browser does not support/allow cookie or outside of support browsers, this will be false. Defaults to: null. matchMessage (String.t): Describes why match failed, ie: &quot;discarded due to low confidence&quot;. This message will be publicly visible. Defaults to: null. requestIpVersion (String.t): Which IP version the request was made from. Defaults to: null. Enum - one of [UNKNOWN_IP_VERSION, IP_V4, IP_V6] requestedLink (String.t): Entire FDL (short or long) attributed post-install via one of several techniques (fingerprint, copy unique). Defaults to: null. resolvedLink (String.t): The entire FDL, expanded from a short link. It is the same as the requestedlink, if it is long. Parameters from this should not be used directly (ie: server can default utm[campaign|medium|source] to a value when requested_link lack them, server determine the best fallback_link when requested_link specifies &gt;1 fallback links). Defaults to: null. utmCampaign (String.t): Scion campaign value to be propagated by iSDK to Scion at post-install. Defaults to: null. utmMedium (String.t): Scion medium value to be propagated by iSDK to Scion at post-install. Defaults to: null. utmSource (String.t): Scion source value to be propagated by iSDK to Scion at post-install. Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosPostInstallAttributionResponse.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosPostInstallAttributionResponse.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosPostInstallAttributionResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosPostInstallAttributionResponse.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosPostInstallAttributionResponse.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosPostInstallAttributionResponse","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosReopenAttributionRequest.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosReopenAttributionRequest","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosReopenAttributionRequest","type":"module","doc":"Request for iSDK to get reopen attribution for app universal link open deeplinking. This endpoint is meant for only iOS requests. Attributes bundleId (String.t): APP bundle ID. Defaults to: null. requestedLink (String.t): FDL link to be verified from an app universal link open. The FDL link can be one of: 1) short FDL. e.g. &lt;app_code&gt;.page.link/&lt;ddl_id&gt;, or 2) long FDL. e.g. &lt;app_code&gt;.page.link/?{query params}, or 3) Invite FDL. e.g. &lt;app_code&gt;.page.link/i/&lt;invite_id_or_alias&gt; Defaults to: null. sdkVersion (String.t): Google SDK version. Version takes the form &quot;$major.$minor.$patch&quot; Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosReopenAttributionRequest.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosReopenAttributionRequest.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosReopenAttributionRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosReopenAttributionRequest.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosReopenAttributionRequest.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosReopenAttributionRequest","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosReopenAttributionResponse.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosReopenAttributionResponse","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosReopenAttributionResponse","type":"module","doc":"Response for iSDK to get reopen attribution for app universal link open deeplinking. This endpoint is meant for only iOS requests. Attributes deepLink (String.t): The deep-link attributed the app universal link open. For both regular FDL links and invite FDL links. Defaults to: null. invitationId (String.t): Optional invitation ID, for only invite typed requested FDL links. Defaults to: null. iosMinAppVersion (String.t): FDL input value of the &quot;&amp;imv&#x3D;&quot; parameter, minimum app version to be returned to Google Firebase SDK running on iOS-9. Defaults to: null. resolvedLink (String.t): The entire FDL, expanded from a short link. It is the same as the requested_link, if it is long. Defaults to: null. utmCampaign (String.t): Scion campaign value to be propagated by iSDK to Scion at app-reopen. Defaults to: null. utmMedium (String.t): Scion medium value to be propagated by iSDK to Scion at app-reopen. Defaults to: null. utmSource (String.t): Scion source value to be propagated by iSDK to Scion at app-reopen. Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosReopenAttributionResponse.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosReopenAttributionResponse.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosReopenAttributionResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosReopenAttributionResponse.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosReopenAttributionResponse.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.GetIosReopenAttributionResponse","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.GooglePlayAnalytics.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.GooglePlayAnalytics","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.GooglePlayAnalytics","type":"module","doc":"Parameters for Google Play Campaign Measurements. Learn more Attributes gclid (String.t): AdWords autotagging parameter; used to measure Google AdWords ads. This value is generated dynamically and should never be modified. Defaults to: null. utmCampaign (String.t): Campaign name; used for keyword analysis to identify a specific product promotion or strategic campaign. Defaults to: null. utmContent (String.t): Campaign content; used for A/B testing and content-targeted ads to differentiate ads or links that point to the same URL. Defaults to: null. utmMedium (String.t): Campaign medium; used to identify a medium such as email or cost-per-click. Defaults to: null. utmSource (String.t): Campaign source; used to identify a search engine, newsletter, or other source. Defaults to: null. utmTerm (String.t): Campaign term; used with paid search to supply the keywords for ads. Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.GooglePlayAnalytics.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.GooglePlayAnalytics.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.GooglePlayAnalytics","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.GooglePlayAnalytics.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.GooglePlayAnalytics.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.GooglePlayAnalytics","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.ITunesConnectAnalytics.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.ITunesConnectAnalytics","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.ITunesConnectAnalytics","type":"module","doc":"Parameters for iTunes Connect App Analytics. Attributes at (String.t): Affiliate token used to create affiliate-coded links. Defaults to: null. ct (String.t): Campaign text that developers can optionally add to any link in order to track sales from a specific marketing campaign. Defaults to: null. mt (String.t): iTune media types, including music, podcasts, audiobooks and so on. Defaults to: null. pt (String.t): Provider token that enables analytics for Dynamic Links from within iTunes Connect. Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.ITunesConnectAnalytics.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.ITunesConnectAnalytics.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.ITunesConnectAnalytics","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.ITunesConnectAnalytics.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.ITunesConnectAnalytics.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.ITunesConnectAnalytics","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.IosInfo.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.IosInfo","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.IosInfo","type":"module","doc":"iOS related attributes to the Dynamic Link.. Attributes iosAppStoreId (String.t): iOS App Store ID. Defaults to: null. iosBundleId (String.t): iOS bundle ID of the app. Defaults to: null. iosCustomScheme (String.t): Custom (destination) scheme to use for iOS. By default, we’ll use the bundle ID as the custom scheme. Developer can override this behavior using this param. Defaults to: null. iosFallbackLink (String.t): Link to open on iOS if the app is not installed. Defaults to: null. iosIpadBundleId (String.t): iPad bundle ID of the app. Defaults to: null. iosIpadFallbackLink (String.t): If specified, this overrides the ios_fallback_link value on iPads. Defaults to: null. iosMinimumVersion (String.t): iOS minimum version. Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.IosInfo.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.IosInfo.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.IosInfo","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.IosInfo.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.IosInfo.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.IosInfo","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.ManagedShortLink.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.ManagedShortLink","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.ManagedShortLink","type":"module","doc":"Managed Short Link. Attributes info (DynamicLinkInfo): Full Dyamic Link info Defaults to: null. creationTime (DateTime.t): Creation timestamp of the short link. Defaults to: null. flaggedAttribute ([String.t]): Attributes that have been flagged about this short url. Defaults to: null. Enum - one of link (String.t): Short durable link url, for example, &quot;https://sample.app.goo.gl/xyz123&quot;. Required. Defaults to: null. linkName (String.t): Link name defined by the creator. Required. Defaults to: null. visibility (String.t): Visibility status of link. Defaults to: null. Enum - one of [UNSPECIFIED_VISIBILITY, UNARCHIVED, ARCHIVED, NEVER_SHOWN]"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.ManagedShortLink.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.ManagedShortLink.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.ManagedShortLink","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.ManagedShortLink.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.ManagedShortLink.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.ManagedShortLink","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.NavigationInfo.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.NavigationInfo","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.NavigationInfo","type":"module","doc":"Information of navigation behavior. Attributes enableForcedRedirect (boolean()): If this option is on, FDL click will be forced to redirect rather than show an interstitial page. Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.NavigationInfo.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.NavigationInfo.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.NavigationInfo","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.NavigationInfo.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.NavigationInfo.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.NavigationInfo","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.SocialMetaTagInfo.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.SocialMetaTagInfo","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.SocialMetaTagInfo","type":"module","doc":"Parameters for social meta tag params. Used to set meta tag data for link previews on social sites. Attributes socialDescription (String.t): A short description of the link. Optional. Defaults to: null. socialImageLink (String.t): An image url string. Optional. Defaults to: null. socialTitle (String.t): Title to be displayed. Optional. Defaults to: null."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.SocialMetaTagInfo.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.SocialMetaTagInfo.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.SocialMetaTagInfo","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.SocialMetaTagInfo.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.SocialMetaTagInfo.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.SocialMetaTagInfo","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.Suffix.html","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.Suffix","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.Suffix","type":"module","doc":"Short Dynamic Link suffix. Attributes customSuffix (String.t): Only applies to Option.CUSTOM. Defaults to: null. option (String.t): Suffix option. Defaults to: null. Enum - one of [OPTION_UNSPECIFIED, UNGUESSABLE, SHORT, CUSTOM]"},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.Suffix.html#decode/2","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.Suffix.decode/2","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.Suffix","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.Model.Suffix.html#t:t/0","title":"GoogleApi.FirebaseDynamicLinks.V1.Model.Suffix.t/0","module":"GoogleApi.FirebaseDynamicLinks.V1.Model.Suffix","type":"type","doc":""},{"ref":"GoogleApi.FirebaseDynamicLinks.V1.RequestBuilder.html","title":"GoogleApi.FirebaseDynamicLinks.V1.RequestBuilder","module":"GoogleApi.FirebaseDynamicLinks.V1.RequestBuilder","type":"module","doc":"Helper functions for building Tesla requests. This module is no longer used. Please use GoogleApi.Gax.Request instead."}]